Foxit PDF SDK

Public Member Functions | List of all members
foxit.fts.SearchCallback Class Reference

Inherits SystemIDisposable.

## Public Member Functions
virtual void | Release ()
| A callback function used to release current callback object itself. More...
virtual int | RetrieveSearchResult (string file_path, int page_index, string match_result, int match_start_text_index, int match_end_text_index, string sentence, int match_sentence_start_text_index, int match_sentence_end_text_index)
| A callback function used to retrieve the searching result. More...

## Detailed Description

This class represents a callback object to retrieve the searching result during the searching progress by function FullTextSearch.SearchOf . All the pure virtual functions in this class are used as callback functions and should be implemented by user.

See also
  FullTextSearch

## Member Function Documentation

## ◆ Release()

void foxit.fts.SearchCallback.Release | ( |  | ) |
| inline virtual

A callback function used to release current callback object itself.

Returns
  None.

## ◆ RetrieveSearchResult()

int foxit.fts.SearchCallback.RetrieveSearchResult | ( | string | file_path,
|  | int | page_index,
|  | string | match_result,
|  | int | match_start_text_index,
|  | int | match_end_text_index,
|  | string | sentence,
|  | int | match_sentence_start_text_index,
|  | int | match_sentence_end_text_index
| ) |  |
| inline virtual

A callback function used to retrieve the searching result.

Parameters

  [in] | file_path | A file path that specifies in which file the matched result is found.
  [in] | page_index | A page index that specifies in which page of the file the matched result is found.
  [in] | match_result | A string that represents the matched result.
  [in] | match_start_text_index | The index of start character in the matched result.
  [in] | match_end_text_index | The index of end character in the matched result.
  [in] | sentence | The sentence that contains current match result.
  [in] | match_sentence_start_text_index | The index of start character in the sentence.
  [in] | match_sentence_end_text_index | The index of end character in the sentence.

Returns
  If non-zero is returned, the search engine will stop searching.